#! /bin/sh
#------------------------------------------------------------------------------
# /tmp/preinstall.sh - preinstall script for unison
#
# Creation   :  2017-02-18 daniel
# Last Update:  $Id: preinstall.sh 2 2017-10-18 18:52:17Z  $
#
# Copyright (c) 2017 Daniel Vogel <daniel@eisfair.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#------------------------------------------------------------------------------

#------------------------------------------------------------------------------
# include eisfair script library
#------------------------------------------------------------------------------

. /var/install/include/eislib

#------------------------------------------------------------------------------
# stop service
#------------------------------------------------------------------------------

if [ -f /etc/init.d/unison ]
then
    sh /etc/init.d/unison stop
fi

#-----------------------------------------------------------------------------
# Run deinstall script with --update argument
#-----------------------------------------------------------------------------

if [ -f /var/install/deinstall/unison ]
then
    /var/install/deinstall/unison update
fi

#-----------------------------------------------------------------------------
# End
#-----------------------------------------------------------------------------

exit 0
